
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Mark said that the nVidia licensing is MIT-style, so it should be okay. 
I'm including a patch that adds a small licensing comment on the pertinent
files and also adds the license notice in nv_accel.c, just to be on the
safe side.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/nvidia/nv_accel.c |   52 +++++++++++++++++++++++++++-----
 25-akpm/drivers/video/nvidia/nv_dma.h   |   10 ++++++
 25-akpm/drivers/video/nvidia/nv_hw.c    |   11 ++++++
 25-akpm/drivers/video/nvidia/nv_local.h |   10 ++++++
 25-akpm/drivers/video/nvidia/nv_setup.c |   10 ++++++
 5 files changed, 86 insertions(+), 7 deletions(-)

diff -puN drivers/video/nvidia/nv_accel.c~fbdev-nvidia-licensing-clarification drivers/video/nvidia/nv_accel.c
--- 25/drivers/video/nvidia/nv_accel.c~fbdev-nvidia-licensing-clarification	2005-03-10 22:09:33.000000000 -0800
+++ 25-akpm/drivers/video/nvidia/nv_accel.c	2005-03-10 22:09:33.000000000 -0800
@@ -1,12 +1,50 @@
+ /***************************************************************************\
+|*                                                                           *|
+|*       Copyright 1993-2003 NVIDIA, Corporation.  All rights reserved.      *|
+|*                                                                           *|
+|*     NOTICE TO USER:   The source code  is copyrighted under  U.S. and     *|
+|*     international laws.  Users and possessors of this source code are     *|
+|*     hereby granted a nonexclusive,  royalty-free copyright license to     *|
+|*     use this code in individual and commercial software.                  *|
+|*                                                                           *|
+|*     Any use of this source code must include,  in the user documenta-     *|
+|*     tion and  internal comments to the code,  notices to the end user     *|
+|*     as follows:                                                           *|
+|*                                                                           *|
+|*       Copyright 1993-2003 NVIDIA, Corporation.  All rights reserved.      *|
+|*                                                                           *|
+|*     NVIDIA, CORPORATION MAKES NO REPRESENTATION ABOUT THE SUITABILITY     *|
+|*     OF  THIS SOURCE  CODE  FOR ANY PURPOSE.  IT IS  PROVIDED  "AS IS"     *|
+|*     WITHOUT EXPRESS OR IMPLIED WARRANTY OF ANY KIND.  NVIDIA, CORPOR-     *|
+|*     ATION DISCLAIMS ALL WARRANTIES  WITH REGARD  TO THIS SOURCE CODE,     *|
+|*     INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, NONINFRINGE-     *|
+|*     MENT,  AND FITNESS  FOR A PARTICULAR PURPOSE.   IN NO EVENT SHALL     *|
+|*     NVIDIA, CORPORATION  BE LIABLE FOR ANY SPECIAL,  INDIRECT,  INCI-     *|
+|*     DENTAL, OR CONSEQUENTIAL DAMAGES,  OR ANY DAMAGES  WHATSOEVER RE-     *|
+|*     SULTING FROM LOSS OF USE,  DATA OR PROFITS,  WHETHER IN AN ACTION     *|
+|*     OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,  ARISING OUT OF     *|
+|*     OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOURCE CODE.     *|
+|*                                                                           *|
+|*     U.S. Government  End  Users.   This source code  is a "commercial     *|
+|*     item,"  as that  term is  defined at  48 C.F.R. 2.101 (OCT 1995),     *|
+|*     consisting  of "commercial  computer  software"  and  "commercial     *|
+|*     computer  software  documentation,"  as such  terms  are  used in     *|
+|*     48 C.F.R. 12.212 (SEPT 1995)  and is provided to the U.S. Govern-     *|
+|*     ment only as  a commercial end item.   Consistent with  48 C.F.R.     *|
+|*     12.212 and  48 C.F.R. 227.7202-1 through  227.7202-4 (JUNE 1995),     *|
+|*     all U.S. Government End Users  acquire the source code  with only     *|
+|*     those rights set forth herein.                                        *|
+|*                                                                           *|
+ \***************************************************************************/
+
 /*
- * linux/drivers/video/nvidia/nv_accel.c - nVidia Hardware Acceleration
- *
- * Copyright 2004 Antonino Daplas <adaplas@pol.net>
- *
- * This file is subject to the terms and conditions of the GNU General Public
- * License.  See the file COPYING in the main directory of this archive
- * for more details.
+ * GPL Licensing Note - According to Mark Vojkovich, author of the Xorg/
+ * XFree86 'nv' driver, this source code is provided under MIT-style licensing
+ * where the source code is provided "as is" without warranty of any kind.
+ * The only usage restriction is for the copyright notices to be retained
+ * whenever code is used.
  *
+ * Antonino Daplas <adaplas@pol.net> 2005-03-11
  */
 
 #include <linux/fb.h>
diff -puN drivers/video/nvidia/nv_dma.h~fbdev-nvidia-licensing-clarification drivers/video/nvidia/nv_dma.h
--- 25/drivers/video/nvidia/nv_dma.h~fbdev-nvidia-licensing-clarification	2005-03-10 22:09:33.000000000 -0800
+++ 25-akpm/drivers/video/nvidia/nv_dma.h	2005-03-10 22:09:33.000000000 -0800
@@ -38,6 +38,16 @@
 |*                                                                           *|
  \***************************************************************************/
 
+/*
+ * GPL Licensing Note - According to Mark Vojkovich, author of the Xorg/
+ * XFree86 'nv' driver, this source code is provided under MIT-style licensing
+ * where the source code is provided "as is" without warranty of any kind.
+ * The only usage restriction is for the copyright notices to be retained
+ * whenever code is used.
+ *
+ * Antonino Daplas <adaplas@pol.net> 2005-03-11
+ */
+
 #define SURFACE_FORMAT                                              0x00000300
 #define SURFACE_FORMAT_DEPTH8                                       0x00000001
 #define SURFACE_FORMAT_DEPTH15                                      0x00000002
diff -puN drivers/video/nvidia/nv_hw.c~fbdev-nvidia-licensing-clarification drivers/video/nvidia/nv_hw.c
--- 25/drivers/video/nvidia/nv_hw.c~fbdev-nvidia-licensing-clarification	2005-03-10 22:09:33.000000000 -0800
+++ 25-akpm/drivers/video/nvidia/nv_hw.c	2005-03-10 22:09:33.000000000 -0800
@@ -36,6 +36,17 @@
 |*     those rights set forth herein.                                        *|
 |*                                                                           *|
  \***************************************************************************/
+
+/*
+ * GPL Licensing Note - According to Mark Vojkovich, author of the Xorg/
+ * XFree86 'nv' driver, this source code is provided under MIT-style licensing
+ * where the source code is provided "as is" without warranty of any kind.
+ * The only usage restriction is for the copyright notices to be retained
+ * whenever code is used.
+ *
+ * Antonino Daplas <adaplas@pol.net> 2005-03-11
+ */
+
 /* $XFree86: xc/programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c,v 1.4 2003/11/03 05:11:25 tsi Exp $ */
 
 #include <linux/pci.h>
diff -puN drivers/video/nvidia/nv_local.h~fbdev-nvidia-licensing-clarification drivers/video/nvidia/nv_local.h
--- 25/drivers/video/nvidia/nv_local.h~fbdev-nvidia-licensing-clarification	2005-03-10 22:09:33.000000000 -0800
+++ 25-akpm/drivers/video/nvidia/nv_local.h	2005-03-10 22:09:33.000000000 -0800
@@ -37,6 +37,16 @@
 |*                                                                           *|
  \***************************************************************************/
 
+/*
+ * GPL Licensing Note - According to Mark Vojkovich, author of the Xorg/
+ * XFree86 'nv' driver, this source code is provided under MIT-style licensing
+ * where the source code is provided "as is" without warranty of any kind.
+ * The only usage restriction is for the copyright notices to be retained
+ * whenever code is used.
+ *
+ * Antonino Daplas <adaplas@pol.net> 2005-03-11
+ */
+
 #ifndef __NV_LOCAL_H__
 #define __NV_LOCAL_H__
 
diff -puN drivers/video/nvidia/nv_setup.c~fbdev-nvidia-licensing-clarification drivers/video/nvidia/nv_setup.c
--- 25/drivers/video/nvidia/nv_setup.c~fbdev-nvidia-licensing-clarification	2005-03-10 22:09:33.000000000 -0800
+++ 25-akpm/drivers/video/nvidia/nv_setup.c	2005-03-10 22:09:33.000000000 -0800
@@ -37,6 +37,16 @@
 |*                                                                           *|
  \***************************************************************************/
 
+/*
+ * GPL Licensing Note - According to Mark Vojkovich, author of the Xorg/
+ * XFree86 'nv' driver, this source code is provided under MIT-style licensing
+ * where the source code is provided "as is" without warranty of any kind.
+ * The only usage restriction is for the copyright notices to be retained
+ * whenever code is used.
+ *
+ * Antonino Daplas <adaplas@pol.net> 2005-03-11
+ */
+
 #include <video/vga.h>
 #include <linux/delay.h>
 #include <linux/pci.h>
_
